summaryrefslogtreecommitdiff
path: root/dev-ruby/actionpack
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-ruby/actionpack
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-ruby/actionpack')
-rw-r--r--dev-ruby/actionpack/Manifest6
-rw-r--r--dev-ruby/actionpack/actionpack-7.1.5.1.ebuild82
-rw-r--r--dev-ruby/actionpack/actionpack-7.1.6.ebuild82
-rw-r--r--dev-ruby/actionpack/actionpack-7.2.3.ebuild83
-rw-r--r--dev-ruby/actionpack/actionpack-8.0.4.ebuild82
-rw-r--r--dev-ruby/actionpack/actionpack-8.1.1.ebuild73
-rw-r--r--dev-ruby/actionpack/actionpack-8.1.2.ebuild76
-rw-r--r--dev-ruby/actionpack/metadata.xml11
8 files changed, 495 insertions, 0 deletions
diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
new file mode 100644
index 000000000000..c8645b46085b
--- /dev/null
+++ b/dev-ruby/actionpack/Manifest
@@ -0,0 +1,6 @@
+DIST rails-7.1.5.1.tgz 10953261 BLAKE2B a2fc77cba86d2c9bd4171e7fbd280d41a0c3e9fbf2f11fecfa399bc0f378ddbf963acac4ea8f77610c22304b5424400ee5f616f46ad7e18a8a274e6522dcd00e SHA512 3616569ab53fd26586682fe67501e3c72f13a91454765db5f5eb1f3c039e7d2cdef7a62f4179b37d0449fab970c5ec859a77feb307274799a48c95ca1d229307
+DIST rails-7.1.6.tgz 10960488 BLAKE2B 3f5d4c164110c2169a1ccd3ccf03914195b868fb07c8ce99addd7c97bf1210f3eb3c330a2a040b946aa07366d6c29b1a07c86d264964312ae0fc292c79921d53 SHA512 67c7b6520a160c6d5f769368d10f38df53301f39fad19b6b6a34edf0590bbe894047d4aec1bbf8bdef0e720128d966b275c9600e9e717c163d4b13a207af90f6
+DIST rails-7.2.3.tgz 11222967 BLAKE2B 408474d7ec82581cd7f3621bae861c23496f38b9cc987575243310bded91d306614d2f7c4e4b46e137f8135a56f69646251825f79f5388c24f53314557d73202 SHA512 7e1aea66cea0a545d82e27f562bd01e0619a4b007a2ee17a9e0ed89fc8883ddc38f581e094ede90dcbe5a497495f6fd0cde2c62a9f5c40d3b82c5b7711a3d48b
+DIST rails-8.0.4.tgz 11905714 BLAKE2B 3146be192bd6358018aad6b90e49b3102fcd20203cd7fb00672b75470ce3dca244bb5d2b51661ad0d9123471052b3920c05a33fe450e1109efaa368794bbfd04 SHA512 2b01a0abbe24b6f0ffcec10a3a14c50ab325a247832873363922bd3fa174ddbb26a045b6f8e6cff4fe5124d790990ecf5c256111085e5f64146d8b89734ed71c
+DIST rails-8.1.1.tgz 13019384 BLAKE2B 292c15166fa346a069bc1cbdd4c288722d474e53c3582f59d25ce16b7382122b9693981e6da24f64a57b7c80e07d64cbfa2769916daa8279dfe7b4924b301152 SHA512 4dcd8ef416eae2af8911801df1c0f4502cd625710df688bd8de3d4d4120fdddcdc38630982e8d4296d99a6113a52445e3d255228b17e7f6c625fd08b80e20150
+DIST rails-8.1.2.tgz 13031832 BLAKE2B 85bde01384698e7556d53339435b94f884a0c385adafd5dbcda9183e4d6899f0817805426c35b464d4a98a7f91753936450c00fe06f5460e43a0439e79ef5694 SHA512 b46e6d728bdfa846eeaaf10cdda0b680760665f9f003bbad01b40ab3c4356115aadd7bd7d394297f294e3122852e9505acbe8e9cc3606cf2ef136600ae38b473
diff --git a/dev-ruby/actionpack/actionpack-7.1.5.1.ebuild b/dev-ruby/actionpack/actionpack-7.1.5.1.ebuild
new file mode 100644
index 000000000000..ee5d28548bf6
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.1.5.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ >=dev-ruby/rack-2.2.4
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and missing OpenStruct
+ sed -e '2igem "rack-session"; require "ostruct"' \
+ -e '3igem "railties", "~> 7.1.0"; gem "activemodel", "~> 7.1.0"' \
+ -i test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-7.1.6.ebuild b/dev-ruby/actionpack/actionpack-7.1.6.ebuild
new file mode 100644
index 000000000000..f8dadc357783
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.1.6.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ >=dev-ruby/rack-2.2.4
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and missing OpenStruct
+ sed -e '2igem "rack-session"; require "ostruct"' \
+ -e '3igem "railties", "~> 7.1.0"; gem "activemodel", "~> 7.1.0"' \
+ -i test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-7.2.3.ebuild b/dev-ruby/actionpack/actionpack-7.2.3.ebuild
new file mode 100644
index 000000000000..bae3092b5afd
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.2.3.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ dev-ruby/racc
+ || ( dev-ruby/rack:3.1 dev-ruby/rack:3.0 >=dev-ruby/rack-2.2.4:2.2 )
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+ >=dev-ruby/useragent-0.16:0
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and use correct rails version.
+ sed -e '2igem "rack-session"; gem "railties", "~> 7.2.0"; gem "activemodel", "~> 7.2.0"' \
+ -i test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-8.0.4.ebuild b/dev-ruby/actionpack/actionpack-8.0.4.ebuild
new file mode 100644
index 000000000000..ce915b09dac8
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-8.0.4.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ || ( dev-ruby/rack:3.1 dev-ruby/rack:3.0 >=dev-ruby/rack-2.2.4:2.2 )
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+ >=dev-ruby/useragent-0.16:0
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and use correct rails version.
+ sed -e '2igem "rack-session"; gem "railties", "~> 8.0.0"; gem "activemodel", "~> 8.0.0"' \
+ -i test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-8.1.1.ebuild b/dev-ruby/actionpack/actionpack-8.1.1.ebuild
new file mode 100644
index 000000000000..7b2e65631a93
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-8.1.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ || ( dev-ruby/rack:3.2 dev-ruby/rack:3.1 dev-ruby/rack:3.0 >=dev-ruby/rack-2.2.4:2.2 )
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+ >=dev-ruby/useragent-0.16:0
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:5
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and missing OpenStruct
+ sed -i -e '2igem "rack-session"; require "ostruct"' test/abstract_unit.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/actionpack-8.1.2.ebuild b/dev-ruby/actionpack/actionpack-8.1.2.ebuild
new file mode 100644
index 000000000000..8f16396ce586
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-8.1.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ || ( dev-ruby/rack:3.2 dev-ruby/rack:3.1 dev-ruby/rack:3.0 >=dev-ruby/rack-2.2.4:2.2 )
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+ >=dev-ruby/useragent-0.16:0
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ dev-ruby/minitest:6
+ dev-ruby/minitest-mock
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0 and missing OpenStruct
+ sed -e '2igem "rack-session"; require "ostruct"' \
+ -e '3igem "minitest", "~> 6.0"; gem "minitest-mock"' \
+ -i test/abstract_unit.rb || die
+
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
+ # Avoid tests requiring chrome
+ sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+ -i test/abstract_unit.rb || die
+ rm -f test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb || die
+}
diff --git a/dev-ruby/actionpack/metadata.xml b/dev-ruby/actionpack/metadata.xml
new file mode 100644
index 000000000000..fbd27c03d85b
--- /dev/null
+++ b/dev-ruby/actionpack/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">rails/rails</remote-id>
+ </upstream>
+</pkgmetadata>